addHook("PlayerSpawn", function(p)
	p.campingtime = 0
end)

addHook("PlayerThink", function(p)
	if not p
	or not p.valid
		return
	end

	if ((p.mo) and (p.mo.valid))
		local me = p.mo

		p.accspeed = FixedDiv(abs(FixedHypot(p.rmomx,p.rmomy)), me.scale) //more accurate speed thing
		p.camping = 0

		if p.isPizzaFace
//			print("timer "..p.campingtime)
			//are we standing still or idle?
			//increase our campingtimer then!
			if p.accspeed <= 5*FRACUNIT
			and p.mo.momz <= 8*FRACUNIT
				p.campingtime = $+1
				p.camping = 0
			else
				//decrease 
				if (leveltime % 4) == 0
				and p.campingtime
					p.campingtime = 0
				end 
				p.camping = 0
			end

		else	
			p.campingtime = 0
			p.camping = 0
		end

		if p.camping
			if ((p.campingtime >= 3*TICRATE/2) and (p.campingtime <= (3*TICRATE/2)+13))
				CONS_Printf(p,"\x85You will be killed for camping in 4 seconds!")
			end
		end

		if p.campingtime > 180
			if me.health
				CONS_Printf(p,"\x85You have been killed for camping!")
				P_DamageMobj(me, nil, nil, 1, DMG_INSTAKILL)
			end
		end
	end
end)